Skip to main content
GET
/
library
/
{libraryId}
/
classId
/
{classId}
/
documentId
/
{documentId}
/
attachmentId
/
{attachmentId}
/
checkXref
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/checkXref \
  --header 'Authorization: Bearer <token>'
{
  "kind": "<string>",
  "mainDrawing": {
    "attachmentId": "<string>",
    "classId": "<string>",
    "documentId": "<string>",
    "domain": "<string>",
    "fileName": "<string>",
    "kind": "<string>",
    "libraryId": "<string>",
    "urn": "<string>",
    "xrefPath": "<string>"
  },
  "matchedAttachment": [
    {
      "attachmentId": "<string>",
      "classId": "<string>",
      "documentId": "<string>",
      "domain": "<string>",
      "fileName": "<string>",
      "kind": "<string>",
      "libraryId": "<string>",
      "urn": "<string>",
      "xrefPath": "<string>"
    }
  ],
  "missingXrefs": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libraryId
string
required

The ID of the library

classId
string
required

The ID of the document class

documentId
string
required

The ID of the document

attachmentId
string
required

#################################

Query Parameters

domain
string

The G Suite domain

relationId
string

#################################

securityCode
string

The security code

Response

200 - application/json

A ApiXrefResolution response

kind
string
mainDrawing
object
matchedAttachment
object[]
missingXrefs
string[]